Skip to content
Docs

Get Domain Verification Record

GEThttps://api.vercel.com/v9/domains/{domain}/verification
Get the TXT verification record needed to claim ownership of a domain for the authenticated team. The caller must add this TXT record to _vercel.{domain} in their DNS configuration, then call POST /domains/:domain/claim to complete the ownership transfer.
https://api.vercel.com/v9/domains/{domain}/verification
const response = await fetch('https://api.vercel.com/v9/domains/domain/verification?teamId=string&slug=string', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);
Response
{
"txtRecord": "string",
"verificationDomain": "string"
}
AuthorizationbearerToken

Default authentication mechanism

domainstringRequired
The domain name to get the verification record for
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
200Returns the TXT record needed to verify domain ownership.
txtRecordstringRequired
verificationDomainstringRequired
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error